#include "GPIOPin.h"
#include "GPIOAccess.h"

GPIOPin::GPIOPin(int pinNum)
{
    pinNumber = pinNum;
}

GPIOPin::~GPIOPin(void)
{
	// nothing for now
}

GPIO_Result GPIOPin::setDirection(GPIO_Direction dir)
{
    return GPIOAccess::setDirection(pinNumber, dir);
}

GPIO_Result GPIOPin::getDirection(GPIO_Direction &dir)
{
    return GPIOAccess::getDirection(pinNumber, dir);
}

GPIO_Direction GPIOPin::getDirection()
{
    GPIO_Direction dir;
    GPIOAccess::getDirection(pinNumber, dir);
    return dir;
}

GPIO_Result GPIOPin::set(int value)
{
    return GPIOAccess::set(pinNumber, value);
}

GPIO_Result GPIOPin::get(int &value)
{
    return GPIOAccess::get(pinNumber, value);
}

int GPIOPin::get()
{
    int value;
    GPIOAccess::get(pinNumber, value);
    return value;
}
